#include once "window9.bi"

Function Open_File (ByRef sFileName As USTRING, ByVal iPar As Integer) As HANDLE Export
	#ifdef UNICODE
		Var  hFile = CreateFile(*sFileName, GENERIC_WRITE Or GENERIC_READ, FILE_SHARE_READ or FILE_SHARE_WRITE,0,  OPEN_ALWAYS, iPar,0)
	#else	
		Var  hFile = CreateFile(sFileName, GENERIC_WRITE Or GENERIC_READ, FILE_SHARE_READ or FILE_SHARE_WRITE,0,  OPEN_ALWAYS, iPar,0)
	#EndIf
	Return hFile
End Function
